<div class="col-md-12">
  <div class="white-box">
    <div class="form">
      <%= form_tag(url, method: "get", remote: true) do  %>
        <div class="form-group row">
          
          <div class="col-md-4">
            <%= text_field_tag :search, params[:search], class: "form-control detectChange", placeholder: "search" %>
          </div>
          <div class="col-md-2">
            <%= select_tag(:city_id, options_for_select(City.pluck(:name, :id), ((params[:city_id].present?) ? params[:city_id] : @city.id)), class: "form-control detectChangeSelect", prompt: "select city") %>
          </div>
          <% if page.present? and page != "notifications" and page != "businesses"%>
            <div class="col-md-2">
              <%= select_tag(:status, options_for_select([["All", "all"], ["Pending", "pending"],["Approved", "approved"], ["Rejected", "rejected"]], ((params[:status].present?) ? params[:status] : "all")), class: "form-control detectChangeSelect", prompt: "select status") %>
            </div>
            <div class="col-md-2">

              <%= select_tag(:category, options_for_select((["All"] + OFFER_CATEGORIES.map {|x| x[0]}), ((params[:category].present?) ? params[:category] : "All")), class: "form-control detectChangeSelect", prompt: "select status") %>
            </div>
          <%end %>
          <div class="col-md-2">
            <%= submit_tag "Search", class: "btn btn-info btn-sm  m-l-20 btn-rounded btn-outline waves-effect waves-light" %>
          </div>
        </div>
      <% end %>
    </div>
  </div>
</div> 


<script>  
  $(function(){
      $(".detectChange").unbind('keyup').bind('keyup', function(){
        if($(this).val().trim().length % 2 === 0)
          $(this).closest('form').submit()
      })
      $(".detectChangeSelect").unbind('change').bind('change', function(){
        if($(this).val())
          $(this).closest('form').submit()
      })
  })
</script>